version: "3.3"
services:
  httpd:
    build:
      context: .
      dockerfile: Dockerfile
      target: httpd
    restart: $RESTART
    environment:
      - CORS_ALLOWED_HOSTS
      - WEBPACK_MODE=production
    volumes:
      - $HTTP_FOLDER:/srv/data
      - ./Caddyfile:/etc/caddy/Caddyfile

  annotot:
    image: tetraslibre/annotot-app
    environment:
      - IP=${ANNOTOT_LISTEN_IP}
      - ENV=${ANNOTOT_ENV}
      - SECRET_KEY_BASE=${ANNOTOT_SECRET_KEY_BASE}
    volumes:
      - ./annotot-db:/app/db
